List timeslot-resource-allocations

Query Parameters
  • include
    Type: string

    Comma-separated. Allowed: resource, timeslot

  • filter[status]
    Type: string
  • filter[is_externally_blocked]
    Type: string
  • sort
    Type: string

    Allowed: created_at, order_index, status, capacity_multiplier

  • page[number]
    Type: integer

    Integer numbers.

  • page[size]
    Type: integer

    Integer numbers.

Responses
  • application/vnd.api+json
  • 401

    Unauthorized

  • 403

    Forbidden

Request Example for get/api/v1/timeslot-resource-allocations
curl 'https://b.anny.co/api/v1/timeslot-resource-allocations?include=&filter%5Bstatus%5D=&filter%5Bis_externally_blocked%5D=&sort=&page%5Bnumber%5D=1&page%5Bsize%5D=1'
{
  "data": [
    {
      "id": "string",
      "type": "timeslot-resource-allocations",
      "attributes": {
        "status": "provisioned",
        "capacity_multiplier": 1,
        "order_index": 1,
        "imputed_costs": null,
        "is_externally_blocked": true,
        "provisioned_at": null,
        "visible_to_customer": true,
        "created_at": null,
        "updated_at": null
      },
      "links": {
        "self": "https://example.com"
      },
      "relationships": {
        "resource": {
          "data": {
            "type": "string",
            "id": "string"
          },
          "links": {
            "self": "https://example.com"
          }
        },
        "timeslot": {
          "data": {
            "type": "string",
            "id": "string"
          },
          "links": {
            "self": "https://example.com"
          }
        }
      }
    }
  ],
  "meta": {},
  "links": {}
}